// test.cpp : Dfinit les comportements de classe pour l'application.
//

#include "stdafx.h"
#include "test.h"
#include "MainFrm.h"

#include "testDoc.h"
#include "testView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CtestApp

BEGIN_MESSAGE_MAP(CtestApp, CWinApp)
	ON_COMMAND(ID_APP_ABOUT, &CtestApp::OnAppAbout)
	// Commandes de fichier standard
	ON_COMMAND(ID_FILE_NEW, &CWinApp::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, &CWinApp::OnFileOpen)
	// Commande standard de configuration de l'impression
	ON_COMMAND(ID_FILE_PRINT_SETUP, &CWinApp::OnFilePrintSetup)
END_MESSAGE_MAP()


// construction CtestApp

CtestApp::CtestApp()
{
	// TODO: ajoutez ici du code de construction,
	// Placez toutes les initialisations significatives dans InitInstance
}


// Seul et unique objet CtestApp

CtestApp theApp;


// initialisation de CtestApp

BOOL CtestApp::InitInstance()
{
	// InitCommonControlsEx() est requis sur WindowsXP si le manifeste de l'application
	// spcifie l'utilisation de ComCtl32.dll version6 ou ultrieure pour activer les
	// styles visuels.  Dans le cas contraire, la cration de fentres chouera.
	INITCOMMONCONTROLSEX InitCtrls;
	InitCtrls.dwSize = sizeof(InitCtrls);
	//  dfinir pour inclure toutes les classes de contrles communs  utiliser
	// dans votre application.
	InitCtrls.dwICC = ICC_WIN95_CLASSES;
	InitCommonControlsEx(&InitCtrls);

	CWinApp::InitInstance();

	// Initialisation standard
	// Si vous n'utilisez pas ces fonctionnalits et que vous souhaitez rduire la taille
	// de votre excutable final, vous devez supprimer ci-dessous
	// les routines d'initialisation spcifiques dont vous n'avez pas besoin.
	// Changez la cl de Registre sous laquelle nos paramtres sont enregistrs
	// TODO : modifiez cette chane avec des informations appropries,
	// telles que le nom de votre socit ou organisation
	SetRegistryKey(_T("Applications locales gnres par AppWizard"));
	LoadStdProfileSettings(4);  // Charge les options de fichier INI standard (y compris les derniers fichiers utiliss)
	// Inscrire les modles de document de l'application. Ces modles
	//  lient les documents, fentres frame et vues entre eux
	CSingleDocTemplate* pDocTemplate;
	pDocTemplate = new CSingleDocTemplate(
		IDR_MAINFRAME,
		RUNTIME_CLASS(CtestDoc),
		RUNTIME_CLASS(CMainFrame),       // fentre frame SDI principale
		RUNTIME_CLASS(CtestView));
	if (!pDocTemplate)
		return FALSE;
	AddDocTemplate(pDocTemplate);



	// Analyser la ligne de commande pour les commandes shell standard, DDE, ouverture de fichiers
	CCommandLineInfo cmdInfo;
	ParseCommandLine(cmdInfo);


	// Commandes de dispatch spcifies sur la ligne de commande. Retournent FALSE si
	// l'application a t lance avec /RegServer, /Register, /Unregserver ou /Unregister.
	if (!ProcessShellCommand(cmdInfo))
		return FALSE;

	// La seule fentre a t initialise et peut donc tre affiche et mise  jour
	m_pMainWnd->ShowWindow(SW_SHOW);
	m_pMainWnd->UpdateWindow();
	// appelle DragAcceptFiles uniquement s'il y a un suffixe
	//  Dans une application SDI, cet appel doit avoir lieu juste aprs ProcessShellCommand
	return TRUE;
}



// bote de dialogue CAboutDlg utilise pour la bote de dialogue ' propos de' pour votre application

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Donnes de bote de dialogue
	enum { IDD = IDD_ABOUTBOX };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // Prise en charge de DDX/DDV

// Implmentation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()

// Commande App pour excuter la bote de dialogue
void CtestApp::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}


// gestionnaires de messages pour CtestApp

