// testView.cpp : implmentation de la classe CtestView
//

#include "stdafx.h"
#include "test.h"

#include "testDoc.h"
#include "testView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

extern int runTest(); //int argc, char** argv);

// CtestView

IMPLEMENT_DYNCREATE(CtestView, CView)

BEGIN_MESSAGE_MAP(CtestView, CView)
	// Commandes d'impression standard
	ON_COMMAND(ID_FILE_PRINT, &CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, &CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, &CView::OnFilePrintPreview)
	ON_WM_LBUTTONDOWN()
END_MESSAGE_MAP()

// construction ou destructionde CtestView

CtestView::CtestView()
{
	// TODO : ajoutez ici du code de construction

}

CtestView::~CtestView()
{
}

BOOL CtestView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO : changez ici la classe ou les styles Window en modifiant
	//  CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// dessin de CtestView

void CtestView::OnDraw(CDC* pDC)
{
	CtestDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	if (!pDoc)
		return;

	pDC->TextOut(100,200,(CString)"Clic Left Mouse to execute 'runTest() cuda function'");
	pDC->TextOut(100,100,(CString)"Read comment lines before main() function in Matrixmul.cu  file");
	// TODO : ajoutez ici le code de dessin pour les donnes natives
}


// impression de CtestView

BOOL CtestView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// prparation par dfaut
	return DoPreparePrinting(pInfo);
}

void CtestView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO : ajoutez une initialisation supplmentaire avant l'impression
}

void CtestView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO : ajoutez un nettoyage aprs l'impression
}


// diagnostics pour CtestView

#ifdef _DEBUG
void CtestView::AssertValid() const
{
	CView::AssertValid();
}

void CtestView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CtestDoc* CtestView::GetDocument() const // la version non dbogue est en ligne
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CtestDoc)));
	return (CtestDoc*)m_pDocument;
}
#endif //_DEBUG


// gestionnaires de messages pour CtestView

void CtestView::OnLButtonDown(UINT nFlags, CPoint point)
{
	// TODO : ajoutez ici le code de votre gestionnaire de messages et/ou les paramtres par dfaut des appels
	int res;
	CClientDC dc(this);
	CString text;
	
	res=runTest();
	if(res==1)
	{
		dc.TextOut(100,220,(CString)"Test PASSED");
	}
	else
	{
		dc.TextOut(100,220,(CString)"Test FAILED");
	}
	
	CView::OnLButtonDown(nFlags, point);
}
